Name:		scalpel
Version:	2.0
Release:	%mkrel 9
Summary:	A Frugal, High Performance File Carver
Group:		File tools
License:	GPLv2+
URL:		http://www.digitalforensicssolutions.com/Scalpel/
Source0:	http://www.digitalforensicssolutions.com/Scalpel/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(tre)

%description
Scalpel is a fast file carver that reads a database of header and footer
definitions and extracts matching files or data fragments from a set of
image files or raw device files.

Scalpel is file-system independent and will carve files from FATx, NTFS,
ext2/3, HFS+, or raw partitions. It is useful for both digital forensics
investigation and file recovery.

%prep
%setup -q

chmod -x README Changelog src/*.h src/*.c

#Remove Windows binary files
rm -f *.exe *.dll

%build
%configure
%make_build

%install
%make_install

# conf
install -Dm 644 %{name}.conf %{buildroot}/%{_sysconfdir}/%{name}.conf

%files
%doc README Changelog
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Thu Mar 17 2022 umeabot <umeabot> 2.0-9.mga9
+ Revision: 1797295
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 2.0-8.mga8
+ Revision: 1516760
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 2.0-7.mga7
+ Revision: 1300933
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 2.0-6.mga6
+ Revision: 947023
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-5.mga5
+ Revision: 749869
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-4.mga5
+ Revision: 689044
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0-3.mga4
+ Revision: 518192
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0-2.mga3
+ Revision: 381780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ wally <wally>
- imported package scalpel

